{
  pkgs,
  lib,
  config,
  ...
}: let
  cfg = config.dots.browsers;
in {
  imports = [
    ./librewolf
    ./firefox
  ];

  options.dots.browsers = {
    enable = lib.mkEnableOption "enables all programs by default";
  };

  config = lib.mkIf cfg.enable {
    dots = {
      librewolf.enable = lib.mkDefault true;
      firefox.enable = lib.mkDefault false;
    };
  };
}
